New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Build system requires lynx or elinks and fails without it #81

Closed
daniel-j-h opened this Issue Jul 3, 2014 · 6 comments

Comments

Projects
None yet
4 participants
@daniel-j-h

daniel-j-h commented Jul 3, 2014

Either specify lynx or elinks as requirement or do not fail just because they are not installed. At least lynx and elinks should not be used in the middle of the script -- the call to exit leaves the build system in an unfinished state.

see: https://github.com/irssi/irssi/blob/master/autogen.sh#L28-L37

@ahf

This comment has been minimized.

Member

ahf commented Jul 3, 2014

I agree that it would be nice to kill these. I will look into this.

@ahf ahf added this to the 0.8.17 milestone Jul 3, 2014

@ahf ahf added migration labels Jul 3, 2014

@ahf ahf self-assigned this Jul 3, 2014

@justuswilhelm

This comment has been minimized.

justuswilhelm commented Jul 3, 2014

Simply killing these lines won't do it, since some of these txt files are needed in the build. Any suggestions?

@ailin-nemui

This comment has been minimized.

Contributor

ailin-nemui commented Jul 4, 2014

there are worse things than requiring lynx to build the plain text documentation and it is only "required" for github source builds, not for releases

@justuswilhelm

This comment has been minimized.

justuswilhelm commented Jul 4, 2014

I was trying to build it on a system with no lynx and no root access, so it would have been nice :) Gonna grab the release instead, good point.

@ailin-nemui

This comment has been minimized.

Contributor

ailin-nemui commented Jul 4, 2014

often you will also be missing autotools, so if you have at least working compiler and glib headers (these are absolute minimum requirements) then prepare a distribution on your local system where you can install the prereqs with make dist and use that package on the server (requires fixing #75 first though)

@ahf ahf modified the milestones: 0.8.18, 0.8.17 Oct 10, 2014

@ailin-nemui

This comment has been minimized.

Contributor

ailin-nemui commented Sep 18, 2015

closing for now

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment